Subject: RE: bug#10144: 24.0.91; `pop-up-frames' with dedicated windows is broken: `C-x C-f'

From: "Drew Adams" <[email-masked]>
Date: Wed, 30 Nov 2011 10:22:35 -0800

> I will, as I said, try to adjust my code so it works for Emacs 24 too.
> 
> I haven't had a chance yet to check this and make that change,
> but assuming I'm right about the cause of the problem then
> (a) you can close this bug (please wait for me to confirm my
> supposition), but (b) please consider a user option to
> let users get the behavior I expect: use another window when 
> the target window is dedicated.

This is to confirm (a) - I've adjusted my code so it does the same thing for
Emacs 24 as for other releases: `switch-to-buffer-other-window' if the window is
dedicated.  I hadn't done that until now because previously Emacs 24 did not
need this tweak.  Now it needs it again.

Wrt (b), I filed a separate enhancement request, #10171.